List all customer groups with pagination

List all customer groups within an app

GET/api/v1/{team_slug}/{app_slug}/customer-groups
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/customer-groups

List all customer groups within an app

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/customer-groups
  • Summary: List all customer groups with pagination
  • Description: List all customer groups within an app
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters9 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
searchqueryNostringSearch by name
typequeryNostringFilter by exact type value
store_group_idqueryNostringFilter by store group ID (UUID)
sort-orderqueryNostringSort order. Should be one of ASC or DESC. Default DESC
sort-keyqueryNostringThe key to sort on. Can be one of created_at, updated_at, and name (Default is created_at)
pagequeryNointegerPage number (default is 1)
per-pagequeryNointegerAmount of customer groups per page. Minimum 0 and max 100 (default is 20)
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses3 statuses
StatusDescriptionContent
200List of app customer groupsapplication/json (object)
401Unauthorized accessapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Customer Group List

PropertyTypeRequiredDetails
dataobject[]No-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
Customer Group
PropertyTypeRequiredDetails
app_idstringNo-
created_atstringNo-
discount_percentageintegerNo-
discount_percentage_decimalsintegerNo-
idstringNo-
namestringNo-
slugstringNo-
store_group_idstringNo-
typestringNo-
updated_atstringNo-

Generated example (synthetic):

{
  "data": [
    {
      "app_id": "string",
      "created_at": "string",
      "discount_percentage": 0,
      "discount_percentage_decimals": 0,
      "id": "string",
      "name": "string",
      "slug": "string",
      "store_group_id": "string",
      "type": "string",
      "updated_at": "string"
    }
  ],
  "success": false,
  "total": 0,
  "total_pages": 0
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/customer-groups
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: CustomerGroups
  • OpenAPI summary: List all customer groups with pagination

List all customer groups with pagination

# List all customer groups with pagination List all customer groups within an app
GET /api/v1/{team_slug}/{app_slug}/customer-groups
Purpose

List all customer groups within an app

Required inputs

app_slug path team_slug path

Primary response

200 ยท List of app customer groups

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/customer-groups

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/customer-groups` - Summary: List all customer groups with pagination - Description: List all customer groups within an app - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/customer-groups` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | | search | query | No | string | Search by name | | type | query | No | string | Filter by exact type value | | store_group_id | query | No | string | Filter by store group ID (UUID) | | sort-order | query | No | string | Sort order. Should be one of ASC or DESC. Default DESC | | sort-key | query | No | string | The key to sort on. Can be one of `created_at`, `updated_at`, and `name` (Default is `created_at`) | | page | query | No | integer | Page number (default is 1) | | per-page | query | No | integer | Amount of customer groups per page. Minimum 0 and max 100 (default is 20) | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | List of app customer groups | application/json (object) | | 401 | Unauthorized access | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Customer Group List | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | No | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Customer Group | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `created_at` | string | No | - | | `discount_percentage` | integer | No | - | | `discount_percentage_decimals` | integer | No | - | | `id` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | | `store_group_id` | string | No | - | | `type` | string | No | - | | `updated_at` | string | No | - | **Generated example (synthetic):** ```json { "data": [ { "app_id": "string", "created_at": "string", "discount_percentage": 0, "discount_percentage_decimals": 0, "id": "string", "name": "string", "slug": "string", "store_group_id": "string", "type": "string", "updated_at": "string" } ], "success": false, "total": 0, "total_pages": 0 } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/customer-groups` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/customer-groups` - OpenAPI tag: CustomerGroups - OpenAPI summary: List all customer groups with pagination